Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=calgary&country_abbreviation=ca&expand=permits&expand_permit_application_date_gt=2026-05-16&expand_permit_content_regex=(?i)\b(secondary|suite)\b&filter_expand_match=all&page=1&province_abbreviation=ab&results_per_page=3"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'calgary');
url.searchParams.set('country_abbreviation', 'ca');
url.searchParams.set('expand', 'permits');
url.searchParams.set('expand_permit_application_date_gt', '2026-05-16');
url.searchParams.set('expand_permit_content_regex', '(?i)\b(secondary|suite)\b');
url.searchParams.set('filter_expand_match', 'all');
url.searchParams.set('page', '1');
url.searchParams.set('province_abbreviation', 'ab');
url.searchParams.set('results_per_page', '3');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 0.36,
"data": [
{
"address": "245 Haskayne Drive NW",
"permits": [
{
"expand_permit_application_date": "2026-07-29",
"expand_permit_content": "Status: Issued Permit|Issued date: 2026-08-13T00:00:00.000|Completed date: N/A|Estimated project cost: 60694.35|Permit class: Secondary Suites|Permit type: Residential Improvement Project|Permit type mapped: Building|Work class: Alteration|Work class group: Improvement|Work class mapped: Existing|applicant: N/A|contractor: N/A|estimated project cost: 60694.35|Total square feet affected: N/A|Housing units affected: 1",
"expand_permit_id": "BP2026-14347",
"expand_permit_type": "Building",
"expand_permit_value": 60694,
"property_id": "1ff05f56fb08411d"
}
],
"property_id": "1ff05f56fb08411d"
},
{
"address": "260 Crimson Ridge Place NW",
"permits": [
{
"expand_permit_application_date": "2026-07-29",
"expand_permit_content": "Status: Issued Permit|Issued date: 2026-09-17T00:00:00.000|Completed date: N/A|Estimated project cost: 65497.5|Permit class: Secondary Suites|Permit type: Residential Improvement Project|Permit type mapped: Building|Work class: Alteration|Work class group: Improvement|Work class mapped: Existing|applicant: CONTINENT CONSTRUCTIONS|contractor: CHANDAN RENOVATIONS|estimated project cost: 65497.5|Total square feet affected: N/A|Housing units affected: 1",
"expand_permit_id": "BP2026-14339",
"expand_permit_type": "Building",
"expand_permit_value": 65498,
"property_id": "2a7b500f3630ba6c"
}
],
"property_id": "2a7b500f3630ba6c"
},
{
"address": "154 Rowley Gate NW",
"permits": [
{
"expand_permit_application_date": "2026-06-15",
"expand_permit_content": "Status: Issued Permit|Issued date: 2026-07-14T00:00:00.000|Completed date: N/A|Estimated project cost: 52398.0|Permit class: Secondary Suites|Permit type: Residential Improvement Project|Permit type mapped: Building|Work class: Alteration|Work class group: Improvement|Work class mapped: Existing|applicant: N/A|contractor: N/A|estimated project cost: 52398.0|Total square feet affected: N/A|Housing units affected: 1",
"expand_permit_id": "BP2026-10949",
"expand_permit_type": "Building",
"expand_permit_value": 52398,
"property_id": "efe7475e4dc682de"
}
],
"property_id": "efe7475e4dc682de"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": true,
"has_previous_page": false,
"page_total": 280
},
"price_quote": false,
"result_total": 840,
"time_ms": 638,
"ui_info": {
"city": "Calgary",
"city_id": "6ec95b53075d062c",
"city_link": "ca/ab/calgary",
"city_slug": "calgary",
"country": "Canada",
"country_abbreviation": "CA",
"country_abbreviation_id": "9ace2b6431b7f1be",
"country_abbreviation_link": "ca",
"country_slug": "canada",
"province": "Alberta",
"province_abbreviation": "AB",
"province_abbreviation_id": "aae1f05a0f89d2c7",
"province_abbreviation_link": "ca/ab",
"province_slug": "alberta"
}
}